"""update resultindicators for issue2104.

Revision ID: 44f652e14afa
Revises: 2ee1f8924b38
Create Date: 2016-12-14 13:34:09.278287

"""

# revision identifiers, used by Alembic.
revision = '44f652e14afa'
down_revision = '2ee1f8924b38'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('resultindicators', sa.Column('qualification_edv', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_integrationslotsin', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_other_language_course', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_tagespflegeperson', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('success_school_job_degree', sa.Integer(), nullable=True))
    op.drop_column('resultindicators', 'children_number')
    op.drop_column('resultindicators', 'children_age')
    op.drop_column('resultindicators', 'care_relatives')
    op.drop_column('resultindicators', 'care_nanny')
    op.drop_column('resultindicators', 'care_school')
    op.drop_column('resultindicators', 'care_own_partner')
    op.drop_column('resultindicators', 'care_friends')
    op.drop_column('resultindicators', 'care_kindergarten')
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('resultindicators', sa.Column('care_kindergarten', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_friends', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_own_partner', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_nanny', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_relatives', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('children_age', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('children_number', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_column('resultindicators', 'success_school_job_degree')
    op.drop_column('resultindicators', 'qualification_tagespflegeperson')
    op.drop_column('resultindicators', 'qualification_other_language_course')
    op.drop_column('resultindicators', 'qualification_integrationslotsin')
    op.drop_column('resultindicators', 'qualification_edv')
    ### end Alembic commands ###
    iter_statements(DELETES)
