"""Update outputindicators and migrations

Revision ID: 63cb30b2f4f8
Revises: 44f652e14afa
Create Date: 2016-12-19 14:21:23.457467

"""

# revision identifiers, used by Alembic.
revision = '63cb30b2f4f8'
down_revision = '44f652e14afa'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE outputindicators SET job_search_assistance = NULL where job_search_assistance in ( 2, 3 );
UPDATE outputindicators SET children_number_total = -1;"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('birthcountry', sa.String(), nullable=False, server_default=''))
    op.add_column('outputindicators', sa.Column('birthcountry_parents', sa.String(), nullable=False, server_default=''))
    op.add_column('outputindicators', sa.Column('children_number_total', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('residence_permit_reasons', sa.Integer(), nullable=True))
    op.drop_column('outputindicators', 'care_relatives')
    op.drop_column('outputindicators', 'care_nanny')
    op.drop_column('outputindicators', 'care_school')
    op.drop_column('outputindicators', 'care_own_partner')
    op.drop_column('outputindicators', 'care_friends')
    op.drop_column('outputindicators', 'care_kindergarten')
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('care_kindergarten', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_friends', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_own_partner', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_nanny', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_relatives', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_column('outputindicators', 'residence_permit_reasons')
    op.drop_column('outputindicators', 'children_number_total')
    op.drop_column('outputindicators', 'birthcountry_parents')
    op.drop_column('outputindicators', 'birthcountry')
    ### end Alembic commands ###
    iter_statements(DELETES)
